package com.vendor.burn.ui.burners;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.vendor.burn.Messages;
import com.vendor.burn.model.PlatformType;
import com.vendor.burn.model.ProductLine;
import com.vendor.burn.model.define.IBurner;
import com.vendor.burn.model.devices.ICommonBurner;
import com.vendor.burn.model.devices.IPartitionBurner;
import com.vendor.burn.model.devices.unknown.UnknownDevice;
import com.vendor.burn.ui.burners.PartitionComposite;
import com.vendor.burn.utilitily.ToolUtils;
import com.vendor.burn.views.FastbootView;
import org.eclipse.core.runtime.IStatus;
import org.eclipse.jface.viewers.CheckboxTableViewer;
import org.eclipse.jface.viewers.IContentProvider;
import org.eclipse.swt.events.ModifyListener;
import org.eclipse.swt.layout.FillLayout;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.widgets.Layout;
import org.eclipse.swt.widgets.Listener;
import org.eclipse.swt.widgets.Text;

public class CommonComposite extends PartitionComposite {
  private Button uploadButton;
  
  private Button eraseButton;
  
  private Button eraseAllButton;
  
  private Button createPartitionTable;
  
  private Button browseButton;
  
  private Button createImageButton;
  
  public CommonComposite(Composite parent, int style, IBurner burner) {
    super(parent, style, burner);
  }
  
  protected IContentProvider createContentProvider() {
    return (IContentProvider)new ViewerContentProvider();
  }
  
  protected void createContents(Composite parent) {
    parent.setLayout((Layout)new FillLayout());
    Composite com = new Composite(parent, 0);
    com.setLayout((Layout)new GridLayout(6, false));
    GridData gridData = new GridData(1808);
    com.setLayoutData(gridData);
    this.useXMLPathAsParentButton = new Button(com, 32);
    GridData layoutData = new GridData();
    this.useXMLPathAsParentButton.setLayoutData(layoutData);
    this.useXMLPathAsParentButton
      .setText(Messages.PartitionComposite_LABEL_Default_Use_XML_Path);
    this.useXMLPathAsParentButton.addListener(13, (Listener)new Object(this));
    this.useXMLPathAsParentButton.setSelection(true);
    Label label = new Label(com, 0);
    label.setText(Messages.CommonComposite_LABEL_PartitionFile);
    this.tableFileText = new Text(com, 2048);
    layoutData = new GridData(768);
    layoutData.horizontalSpan = 2;
    this.tableFileText.setLayoutData(layoutData);
    this.tableFileText.addListener(14, (Listener)new Object(this));
    this.browseButton = new Button(com, 0);
    layoutData = new GridData();
    ToolUtils.setWidthForOS(layoutData, 60, 70);
    this.browseButton.setLayoutData(layoutData);
    this.browseButton.setText(LABEL_BROWSE);
    this.browseButton.addListener(13, (Listener)new Object(this));
    this.saveButton = new Button(com, 0);
    this.saveButton.setLayoutData(layoutData);
    this.saveButton.setText(LABEL_SAVE);
    this.saveButton.addListener(13, (Listener)new Object(this));
    int emmcType = ((UnknownDevice)this.burner.getBurnContext().getDeviceSetting()).getEmmcType();
    if (emmcType == 1) {
      this.createPartitionTable = new Button(com, 32);
      this.createPartitionTable
        .setText(Messages.EmmcComposite_Create_eMMC_Partition_Table);
      this.createPartitionTable.setLayoutData(new GridData(1, 1, false, false));
      this.createPartitionTable.addListener(13, (Listener)new Object(this));
      this.createPartitionTable.setSelection(getBurner()
          .isCreatePartitionTable());
    } else if (getBurner().getBurnContext().getPlatformType() == PlatformType.CA || ((UnknownDevice)
      getBurner().getBurnContext()
      .getDeviceSetting()).isSupportBurnByLibBootrom()) {
      this.createPartitionTable = new Button(com, 32);
      this.createPartitionTable
        .setText(Messages.EmmcComposite_Create_eMMC_Partition_Table);
      this.createPartitionTable.setVisible(false);
    } 
    if (getBurner().getBurnContext().getPlatformType() == PlatformType.CA || ((UnknownDevice)
      getBurner().getBurnContext()
      .getDeviceSetting()).isSupportBurnByLibBootrom()) {
      Label programmerFileLabel = new Label(com, 0);
      programmerFileLabel
        .setText(Messages.EmmcComposite_LABEL_PROGRAMER_FILE);
      GridData programmerLblGD = new GridData(1, 1, false, false);
      programmerFileLabel.setLayoutData(programmerLblGD);
      this.programmerFileText = new Text(com, 2048);
      GridData programmerFileTextLayout = new GridData(4, 1, true, false);
      programmerFileTextLayout.horizontalSpan = 2;
      this.programmerFileText.setLayoutData(programmerFileTextLayout);
      this.programmerFileText.addModifyListener((ModifyListener)new Object(this));
      this.programmerFileBrowseButton = new Button(com, 0);
      GridData programmerBtnLayout = new GridData(1, 1, false, false);
      ToolUtils.setWidthForOS(programmerBtnLayout, 125, 145);
      programmerBtnLayout.horizontalSpan = 2;
      this.programmerFileBrowseButton.setLayoutData(programmerBtnLayout);
      this.programmerFileBrowseButton.setText(LABEL_BROWSE);
      this.programmerFileBrowseButton.addListener(13, (Listener)new Object(this));
    } 
    createButtons(com);
    Control tableControl = createItemTable(com);
    this.itemViewer = (CheckboxTableViewer)tableControl.getData();
    this.itemViewer.setInput(getBurner());
    GridData layoutData2 = new GridData(4, 4, true, true, 6, 1);
    tableControl.setLayoutData(layoutData2);
    initData();
  }
  
  protected Layout createLayout() {
    return (Layout)new GridLayout(5, false);
  }
  
  protected String getCreateImageButtonCaption() {
    return Messages.CommonComposite_LABEL_Create_BurningImg;
  }
  
  protected void enableButtons() {
    if (this.burnButton != null && !this.burnButton.isDisposed())
      this.burnButton.setEnabled(true); 
    if (this.eraseButton != null && !this.eraseButton.isDisposed())
      this.eraseButton.setEnabled(true); 
    if (this.eraseAllButton != null && !this.eraseAllButton.isDisposed())
      this.eraseAllButton.setEnabled(true); 
    if (this.uploadButton != null && !this.uploadButton.isDisposed())
      this.uploadButton.setEnabled(true); 
    if (this.createImageButton != null && !this.createImageButton.isDisposed())
      this.createImageButton.setEnabled(true); 
    if (this.browseButton != null && !this.browseButton.isDisposed())
      this.browseButton.setEnabled(true); 
    if (this.saveButton != null && !this.saveButton.isDisposed())
      this.saveButton.setEnabled(true); 
    if (this.createPartitionTable != null && 
      !this.createPartitionTable.isDisposed())
      this.createPartitionTable.setEnabled(true); 
    if (this.programmerFileBrowseButton != null && 
      !this.programmerFileBrowseButton.isDisposed())
      this.programmerFileBrowseButton.setEnabled(true); 
    if (this.createUsbPackageButton != null && 
      !this.createUsbPackageButton.isDisposed())
      this.createUsbPackageButton.setEnabled(true); 
  }
  
  protected void enableUI() {
    super.enableUI();
    if (isDisposed())
      return; 
    enableButtons();
  }
  
  protected void createButtons(Composite parent) {
    Composite buttonComp = new Composite(parent, 0);
    buttonComp.setLayout((Layout)new GridLayout(6, true));
    if (FastbootView.isHiWing510())
      buttonComp.setLayout((Layout)new GridLayout(3, true)); 
    GridData gd = new GridData();
    gd.horizontalSpan = 6;
    buttonComp.setLayoutData(gd);
    this.burnButton = new Button(buttonComp, 0);
    this.burnButton.setText(LABEL_BURN);
    GridData layoutData = new GridData(576);
    layoutData.widthHint = 120;
    this.burnButton.setLayoutData(layoutData);
    this.burnButton.addListener(13, (Listener)new Object(this));
    this.eraseButton = new Button(buttonComp, 0);
    this.eraseButton.setText(LABEL_ERASE);
    layoutData = new GridData(576);
    layoutData.widthHint = 120;
    this.eraseButton.setLayoutData(layoutData);
    this.eraseButton.addListener(13, (Listener)new Object(this));
    if (!FastbootView.isHiWing510()) {
      this.eraseAllButton = new Button(buttonComp, 0);
      this.eraseAllButton.setText(Messages.EmmcComposite_EmmcEraseAll);
      layoutData = new GridData(576);
      layoutData.widthHint = 120;
      this.eraseAllButton.setLayoutData(layoutData);
      this.eraseAllButton.addListener(13, (Listener)new Object(this));
    } 
    this.uploadButton = new Button(buttonComp, 0);
    this.uploadButton.setText(LABEL_UPLOAD);
    layoutData = new GridData(576);
    layoutData.widthHint = 120;
    this.uploadButton.setLayoutData(layoutData);
    this.uploadButton.addListener(13, (Listener)new Object(this));
    if (FastbootView.isHiWing510()) {
      buttonComp.setLayoutData(new GridData(4, 1, true, false, 3, 1));
      return;
    } 
    this.createImageButton = new Button(buttonComp, 0);
    this.createImageButton.setText(getCreateImageButtonCaption());
    layoutData = new GridData(576);
    ToolUtils.setWidthForOS(layoutData, 200, 160);
    this.createImageButton.setLayoutData(layoutData);
    this.createImageButton.addListener(13, (Listener)new Object(this));
    if (ToolUtils.getProductLine() != ProductLine.PRODUCTLINE.CAM) {
      buttonComp.setLayoutData(new GridData(4, 1, true, false, 4, 1));
      return;
    } 
    this.createUsbPackageButton = new Button(buttonComp, 0);
    this.createUsbPackageButton.setText(LABEL_CREATE_USB_PACKAGE);
    layoutData = new GridData(576);
    ToolUtils.setWidthForOS(layoutData, 200, 160);
    this.createUsbPackageButton.setLayoutData(layoutData);
    this.createUsbPackageButton.addListener(13, (Listener)new Object(this));
    buttonComp.setLayoutData(new GridData(4, 1, true, false, 5, 1));
  }
  
  protected void disableUI() {
    super.disableUI();
    if (isDisposed())
      return; 
    if (this.eraseButton != null && !this.eraseButton.isDisposed())
      this.eraseButton.setEnabled(false); 
    if (this.eraseAllButton != null && !this.eraseAllButton.isDisposed())
      this.eraseAllButton.setEnabled(false); 
    if (this.uploadButton != null && !this.uploadButton.isDisposed())
      this.uploadButton.setEnabled(false); 
    if (this.createImageButton != null && !this.createImageButton.isDisposed())
      this.createImageButton.setEnabled(false); 
    if (this.browseButton != null && !this.browseButton.isDisposed())
      this.browseButton.setEnabled(false); 
    if (this.saveButton != null && !this.saveButton.isDisposed())
      this.saveButton.setEnabled(false); 
    if (this.createPartitionTable != null && 
      !this.createPartitionTable.isDisposed())
      this.createPartitionTable.setEnabled(false); 
    if (this.programmerFileBrowseButton != null && 
      !this.programmerFileBrowseButton.isDisposed())
      this.programmerFileBrowseButton.setEnabled(false); 
    if (this.createUsbPackageButton != null && 
      !this.createUsbPackageButton.isDisposed())
      this.createUsbPackageButton.setEnabled(false); 
  }
  
  public ICommonBurner getBurner() {
    return (ICommonBurner)super.getBurner();
  }
}
